Package twisted :: Package scripts :: Module mktap :: Class GeneralOptions

[show private | hide private]
[frames | no frames]

## Class GeneralOptions

Known Subclasses:
  `FirstPassOptions`

Method Summary
| `init(self, tapLookup)`
| ``opt_h`(self)` Display this message
| ``opt_help`(self)` Display this message
| `parseArgs(self, *args)`
| `postOptions(self)`

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`
`str` | `synopsis`

Method Details

### opt_h(self)

Display this message

### opt_help(self)

Display this message

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['xml', 'x', 'DEPRECATED: same as --type=xml'],
         ['source', 's', 'DEPRECATED: same as --type=source'],
         ['encrypted',
          'e',
          "Encrypt file before writing (will make the extension of the resulta\
        nt file begin with 'e')"],
         ['debug', 'd', 'Show debug information for plugin loading'],
         ['progress', 'p', 'Show progress information for plugin loading']]

### optParameters

  Type:
    `list`
  Value:

        [['uid', 'u', 1046, 'The uid to run as.'],
         ['gid', 'g', 1046, 'The gid to run as.'],
         ['append',
          'a',
          None,
          'An existing .tap file to append the plugin to, rather than creating\
         a new one.'],
         ['type',
        ...

### synopsis

  Type:
    `str`
  Value:

        'Usage:    mktap [options] <command> [command options] '

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net